Subject: RE: [Sip] SIP AMR Codec (RFC3267) out-of-band bitrate change

From: Avasarala Ranjit-A20990 <[email-masked]>
Date: Tue, 2 Nov 2004 13:03:22 +0530

Hi
   Can't the bandwidth attribute b= be used here? 

Regards
Ranjit

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Sheetal Khemani
Sent: Tuesday, November 02, 2004 12:33 AM
To: [email-masked]; [email-masked]
Subject: [Sip] SIP AMR Codec (RFC3267) out-of-band bitrate change 

Hi,

I want to know if AMR mode changes are supported via SIP/SDP (possibly using a new off in a reINVITE).

RFC3267 doesn't mention any parameter in the SDP to change the bitrate during the call using SIP. It allows the mode-set parameter that tells the encoder the subset of modes/bitrates it can use.  It doesn't allow the specification of the bitrate the other end needs to use/switch-to.

I came across some 3GPP docs (3GPP TS 26.236: Packet switched conversational multimedia applications; Transport protocols) that suggest using the bandwidth paramter, but that seems to be specific to QoS and I am not sure if this applies to the SIP standard per se.

Please let me know if anyone has any insight on this topic.

Thanks
Sheetal

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip